Subject: 24.5; default printer page size can not be changed
From: Emilio Sovero <[email-masked]>
To: [email-masked]
Date: Fri, 23 Oct 2015 00:55:41 +0000 (GMT)
List-Id: <debbugs-submit.debbugs.gnu.org>

On a Mac running OSX 10.10.5 I am unable to change Emacs to print any
other size but A4.
I have set the ps-page-size to letter
That page size letter is defined in the data base properly. But when I
print a buffer it sends a A4 page. No matter what I change it to it
always prints in A4 (which my printer hangs on).

In GNU Emacs 24.5.1 (x86_64-apple-darwin14.3.0, NS apple-appkit-1347.57)
of 2015-05-30 on new-host-5.home
Windowing system distributor `Apple', version 10.3.1348
Configured using:
`configure --with-ns'

Important settings:
locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
tooltip-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils easymenu printing ps-print ps-def lpr
re-builder time-date tooltip electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel ns-win tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process cocoa ns
multi-tty emacs)

Memory information:
((conses 16 85450 5173)
(symbols 48 18200 0)
(miscs 40 77 82)
(strings 32 13532 4417)
(string-bytes 1 402877)
(vectors 16 10025)
(vector-slots 8 383404 10871)
(floats 8 372 221)
(intervals 56 202 0)
(buffers 960 12))

Emilio Sovero